=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.99.0~),
                gettext,
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.12.2~),
-               libkf5akonadicontact-dev (>= 4:22.12.2~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
+               libkf5akonadicontact-dev (>= 4:22.12.3~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarutils-dev (>= 4:22.12.2~),
+               libkf5calendarutils-dev (>= 4:22.12.3~),
                libkf5codecs-dev (>= 5.99.0~),
                libkf5dbusaddons-dev (>= 5.99.0~),
                libkf5i18n-dev (>= 5.99.0~),
-               libkf5identitymanagement-dev (>= 22.12.2~),
+               libkf5identitymanagement-dev (>= 22.12.3~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5mailtransport-dev (>= 22.12.2~),
+               libkf5mailtransport-dev (>= 22.12.3~),
                libkf5notifications-dev (>= 5.99.0~),
                libkf5widgetsaddons-dev (>= 5.99.0~),
                libkf5xmlgui-dev (>= 5.99.0~),
@@ -32,10 +32,10 @@
 Rules-Requires-Root: no
 
 Package: kalendarac
-Breaks: libkf5akonadicalendar-bin
-Replaces: libkf5akonadicalendar-bin
+Breaks: libkf5akonadicalendar-bin,
+Replaces: libkf5akonadicalendar-bin,
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: akonadi-calendar - calendar reminder
  This library offers helper functions to integrate the use of Akonadi calendar
  items in applications.
@@ -45,7 +45,7 @@
 Package: libkf5akonadicalendar-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: data files for akonadi-calendar
  This library offers helper functions to integrate the use of Akonadi calendar
  items in applications.
@@ -56,9 +56,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:22.12.2~),
+Depends: libkf5akonadi-dev (>= 4:22.12.3~),
          libkf5akonadicalendar5abi1 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:22.12.2~),
+         libkf5akonadicontact-dev (>= 4:22.12.3~),
          libkf5calendarcore-dev (>= 5:5.99.0~),
          ${misc:Depends},
 Description: akonadi-calendar - development files
@@ -78,4 +78,4 @@
 Description: library providing calendar helpers for Akonadi items
  This library offers helper functions to integrate the use of Akonadi calendar
  items in applications.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
