## akonadi-calendar 23.08.1

=== debian/changelog ===
akonadi-calendar (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:53:24 +0100

akonadi-calendar (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:10 +0100

akonadi-calendar (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update build depends:
    - add libkf5messagecore-dev
    - add libkf5messagecomposer-dev
    - add libkf5mimetreeparser-dev
    - add libkf5templateparser-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:28:23 +0100

akonadi-calendar (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:13 +0100

akonadi-calendar (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library package libkf5akonadicalendar5abi2 ->
    libkf5akonadicalendar5
  * Update installed files
  * Drop enable_debianabimanager.diff
  * Rename data package: libkf5akonadicalendar-data ->
    libkpim5akonadicalendar-data
  * Sync debian/rules with debian, provide virtual ABI package
  * Pass --with kf5 to dh in debian/rules after debian/rules sync with
    debian
  * Remove symbols file, no longer used
  * Inject dependency on libkf5akonadicalendar-bin in debian/rules
  * Add libkf5textaddons-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:57:52 +0100

akonadi-calendar (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:32:25 +0000

akonadi-calendar (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:07:43 -0600

akonadi-calendar (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:24:12 +0000

akonadi-calendar (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:03:10 +0000

akonadi-calendar (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 15:59:37 +0000

akonadi-calendar (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:37:43 +0000

akonadi-calendar (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:03:26 +0000
