=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5akonadicontact-dev (>= 4:23.08.1~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:23.08.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.1~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5grantleetheme-dev (>= 23.08.1~),
               libkf5identitymanagement-dev (>= 23.08.1~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5mailtransport-dev (>= 23.08.1~),
               libkf5messagecomposer-dev (>= 4:23.08.1~),
               libkf5messagecore-dev (>= 4:23.08.1~),
               libkf5mimetreeparser-dev (>= 4:23.08.1~),
               libkf5templateparser-dev (>= 4:23.08.1~),
               libkf5textaddons-dev,
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar

Package: libkpim5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Breaks: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Replaces: libkf5akonadicalendar-data (<< 4:23.04.1~),
          kdepim-runtime (<< 4:18.03.70~),
          ${kde-l10n:all},
Depends: ${misc:Depends}
Description: library providing calendar helpers for Akonadi items - data files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:23.08.1~),
         libkf5akonadicontact-dev (>= 4:23.08.1~),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkpim5akonadicalendar5 (= ${binary:Version}),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkpim5akonadicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpim5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.03.70~)
Replaces: kdepim-runtime (<< 4:18.03.70~)
Provides: ${ABI:VirtualPackage},
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkf5akonadicalendar-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5akonadicalendar5abi2 (<< 4:23.04.1~),
Description: akonadi-calendar - runtime binaries
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains runtime binaries.
